> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cartesia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Tool

> Deletes an unused tool. Detach the tool from current agent configurations first.



## OpenAPI

````yaml latest.yml DELETE /v1/agents/tools/{tool_id}
openapi: 3.0.1
info:
  title: Cartesia API
  version: 0.0.1
servers:
  - url: https://api.cartesia.ai
    description: Production
security: []
paths:
  /v1/agents/tools/{tool_id}:
    delete:
      tags:
        - Agent Tools
      summary: Delete a tool
      description: >-
        Deletes an unused tool. Detach the tool from current agent
        configurations first.
      operationId: deleteV1AgentsToolsByTool_id
      parameters:
        - name: tool_id
          in: path
          description: Unique identifier for the tool.
          required: true
          schema:
            description: Unique identifier for the tool.
            type: string
            minLength: 1
        - $ref: '#/components/parameters/CartesiaVersionHeader'
      responses:
        '204':
          description: Delete a tool
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorResponse'
      security:
        - APIKeyAuth: []
components:
  parameters:
    CartesiaVersionHeader:
      name: Cartesia-Version
      in: header
      description: API version header.
      required: true
      schema:
        type: string
        format: date
        example: '2026-08-14'
        default: '2026-08-14'
        enum:
          - '2026-08-14'
  schemas:
    PublicErrorResponse:
      type: object
      properties:
        doc_url:
          description: URL to relevant documentation for the error
          type: string
          nullable: true
        error_code:
          description: Machine-readable error code
          type: string
          nullable: true
        message:
          description: Detailed human-readable error message
          type: string
        request_id:
          description: >-
            Unique identifier for this request. Include this when contacting
            support.
          type: string
        title:
          description: Short human-readable error summary, like "File too large"
          type: string
      required:
        - request_id
        - message
        - title
      title: PublicErrorResponse
  securitySchemes:
    APIKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        Cartesia API key (`sk_car_...`). Get one at
        [play.cartesia.ai/keys](https://play.cartesia.ai/keys).
      x-default: $CARTESIA_API_KEY

````